Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233602

Summary: Review Request: pykdeextentions - A collection of python packages to support KDE applications
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Nigel Jones <dev>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lxtnow
Target Milestone: ---Flags: dev: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-17 14:51:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 233603    

Description Rex Dieter 2007-03-23 12:57:12 UTC
Spec URL: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/pykdeextentions.spec
SRPM URL:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.testing/pykdeextensions-0.4.0-1.src.rpm

Description:
A collection of software and Python packages to support
the creation and installation of KDE applications.

Comment 2 Nigel Jones 2007-05-08 10:55:43 UTC
Hi Rex, I'm happy to review the package, it might take a few days, but I'll
gradually work over the package as and when I have the breaks to.

I should have it done by the weekend though.

Comment 3 Nigel Jones 2007-05-10 07:18:08 UTC
Package name:             PASS (pykdeextensions)
License:                  PASS (LGPL)
Spec Legible:             PASS (en_US)
md5sum matches:           NT
rpmlint clean:            FAIL
Builds correctly:         PASS (i386)
RPaths removed:           FAIL
Spec has %clean:          PASS
Macro use consistant:     PASS
Contains code/content:    PASS
-doc subpackage:          NA
-devel subpackage:        PASS
-static subpackage:       NA
pkgconfig depend:         NA
Contains %doc:            PASS
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: NA
No duplicate ownerships:  PASS
rm -rf %{buildroot}:      PASS
RPM uses valid UTF-8:     PASS
%defattr is set:          PASS
No duplicate %files:      PASS
Not relocatable:          PASS
Calls ldconfig:           PASS
Supports Locales:         NA
BR's are correct:         NT

NA - Not Applicable
NT - Not Tested

rpmlint on build RPMS:
E: pykdeextensions non-executable-script
/usr/lib/python2.4/site-packages/kdedistutils.py 0644
E: pykdeextensions non-executable-script
/usr/lib/python2.4/site-packages/qtuicompiler.py 0644
E: pykdeextensions zero-length /usr/share/doc/pykdeextensions-0.4.0/NEWS
E: pykdeextensions binary-or-shlib-defines-rpath /usr/lib/libpythonize.so.0.0.0
['/usr/lib']
E: pykdeextensions-devel non-executable-script
/usr/share/apps/pykdeextensions/app_templates/kdeapp/src/prefdialog.py 0644

rpmlint on SRPM:
W: pykdeextensions patch-not-applied Patch1: pykdeextensions-0.4.0-rpath.patch 

Happy to ignore the patch-not-applied, NEWS could nearly be removed though.

Other notes:
rpm -qlp produced:

/usr/share/apps/pykdeextensions/app_templates/kdeapp/AUTHORS
/usr/share/apps/pykdeextensions/app_templates/kdeapp/COPYING
/usr/share/apps/pykdeextensions/app_templates/kdeapp/INSTALL
/usr/share/apps/pykdeextensions/app_templates/kdeapp/MANIFEST.in
/usr/share/apps/pykdeextensions/app_templates/kdeutility/AUTHORS
/usr/share/apps/pykdeextensions/app_templates/kdeutility/COPYING
/usr/share/apps/pykdeextensions/app_templates/kdeutility/INSTALL
/usr/share/apps/pykdeextensions/app_templates/kdeutility/MANIFEST.in

I assume the files are needed...

In summary: If you can fix the rpath and non-executable-script's I'll run I
final test in mock.

Comment 4 Xavier Lamien 2007-06-10 00:52:45 UTC
Rex, The SRPM url seem down, could you fix this ?



Comment 5 Nigel Jones 2007-06-10 01:10:46 UTC
(In reply to comment #4)
> Rex, The SRPM url seem down, could you fix this ?
> 
> 

It's an apt repository, so of course it appears down, it got moved from testing
to stable, no big deal.

Comment 6 Rex Dieter 2007-07-13 14:10:07 UTC
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/pykdeextensions/pykdeextensions.spec
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/pykdeextensions/pykdeextensions-0.4.0-2.src.rpm

%changelog
* Fri Jul 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.4.0-2
- omit empty NEWS
- use chrpath to fix rpath issue(s)

Comment 7 Nigel Jones 2007-07-14 00:13:27 UTC
Package name:             PASS (pykdeextensions)
License:                  PASS (LGPL)
Spec Legible:             PASS (en_US)
md5sum matches:           PASS (5249c7288c1b2bed44a2d91111d3313a)
rpmlint clean:            NOTES
Builds correctly:         PASS (i386)
RPaths removed:           PASS
Spec has %clean:          PASS
Macro use consistant:     PASS
Contains code/content:    PASS
-doc subpackage:          NA
-devel subpackage:        PASS
-static subpackage:       NA
pkgconfig depend:         NA
Contains %doc:            PASS
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: NA
No duplicate ownerships:  PASS
rm -rf %{buildroot}:      PASS
RPM uses valid UTF-8:     PASS
%defattr is set:          PASS
No duplicate %files:      PASS
Not relocatable:          PASS
Calls ldconfig:           PASS
Supports Locales:         NA
BR's are correct:         PASS

NA - Not Applicable
NT - Not Tested

rpmlint on build RPMS:
E: pykdeextensions non-executable-script
/usr/lib/python2.5/site-packages/qtuicompiler.py 0644
E: pykdeextensions non-executable-script
/usr/lib/python2.5/site-packages/kdedistutils.py 0644
E: pykdeextensions-devel non-executable-script
/usr/share/apps/pykdeextensions/app_templates/kdeapp/src/prefdialog.py 0644

I'm assuming these scripts are meant to be non-executable, so APPROVED

Oh, and If you do need a comaintainer, let me know.

Comment 8 Rex Dieter 2007-07-15 20:29:15 UTC
I'll take you up on the comaint offer...

New Package CVS Request
=======================
Package Name: pykdeextensions
Short Description: A collection of python packages to support KDE applications
Owners: rdieter@math.unl.edu,dev@nigelj.com
Branches: F-7 FC-6
InitialCC: 

Comment 9 Nigel Jones 2007-07-15 22:53:42 UTC
Make that 

Branches: EL-4 EL-5 F-7 FC-6

All the dependencies seem to be there (but I confess I havn't tried building 
yet)

Comment 10 Kevin Fenzi 2007-07-16 04:31:49 UTC
cvs done.

Comment 11 Roland Wolters 2007-11-02 15:59:31 UTC
While this review went through I never saw any packages in devel or the other 
branches. What happened?

Comment 12 Rex Dieter 2007-11-02 16:08:01 UTC
I was going to do pykdeextensions and guidance together, but guidance still
needs a lot of work.

If there's need/interest for pykdeextensions alone, I have no problem doing that
ealier.

Comment 13 Rex Dieter 2008-04-17 14:51:47 UTC
Since I withdrew guidance review (bug #233603), I'm going to withdraw this one 
too.

Anyone is welcome to pick this up (to maintain) if they so desire.